QGIS Application - Bug report #7673
Layer order not respected when embedding groups from a different project
2013-04-22 02:25 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16590
Description

With the current master, the layer order of the embedded groups of a different project is not honored correctly.

Please tell me if you need additional information. It should be reproducable with any project if you use different layer ordering in the source
project.

Associated revisions

Revision e6a4f2{8 - 2013-09-04 04:37 PM - Jiirgen Fischer

sort embedded layer by drawing order (fixes #7673)

History

#1 - 2013-07-28 12:56 AM - Nathan Woodrow

I'm not sure we should consider this blocking. As far as | can see this also happened in 1.8.

#2 - 2013-07-28 02:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2013-07-29 01:58 AM - Andreas Neumann

- Priority changed from Severe/Regression to High

Maybe the bug was also present in 1.8. Nevertheless | would really like see this fixed. We can set it from blocker to high.

#4 - 2013-09-04 07:38 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

Fixed in changeset commit:"e6a4f2f808709fc7a7daa4bac18d847333ce834c".
